Package com.xebialabs.xlrelease.api.v1

## Interface PlannerApi

- All Superinterfaces:
    `ApiService`

      @Path("/api/v1/analytics/planner")
      @Consumes("application/json")
      @Produces("application/json")
      public interface PlannerApi
      extends ApiService

- - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

      `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ProjectedRelease>` | `getActiveReleases​(java.lang.Long page, java.lang.Long resultsPerPage, java.lang.String kind)` |
    `java.util.List<ProjectedRelease>` | `getCompletedReleases​(java.lang.Long page, java.lang.Long resultsPerPage, java.lang.Long sinceMillis, java.lang.String kind)` |
    `java.util.List<ProjectedRelease>` | `getReleasesByIds​(java.util.List<java.lang.String> releaseIds)` |
    `default java.lang.String` | `serviceName()` |

- - ### Method Detail

    - #### serviceName

          default java.lang.String serviceName()

      Specified by:
        `serviceName` in interface `ApiService`

    - #### getActiveReleases

          @GET
          @Path("/active")
          java.util.List<ProjectedRelease> getActiveReleases​(@DefaultValue("0") @QueryParam("page")
                                                             java.lang.Long page,
                                                             @DefaultValue("100") @QueryParam("resultsPerPage")
                                                             java.lang.Long resultsPerPage,
                                                             @DefaultValue("RELEASE") @QueryParam("kind")
                                                             java.lang.String kind)

    - #### getCompletedReleases

          @GET
          @Path("/completed")
          java.util.List<ProjectedRelease> getCompletedReleases​(@DefaultValue("0") @QueryParam("page")
                                                                java.lang.Long page,
                                                                @DefaultValue("100") @QueryParam("resultsPerPage")
                                                                java.lang.Long resultsPerPage,
                                                                @DefaultValue("0") @QueryParam("since")
                                                                java.lang.Long sinceMillis,
                                                                @DefaultValue("RELEASE") @QueryParam("kind")
                                                                java.lang.String kind)

    - #### getReleasesByIds

          @POST
          @Path("/byIds")
          java.util.List<ProjectedRelease> getReleasesByIds​(java.util.List<java.lang.String> releaseIds)